Sign up ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems. It's 100% free, no registration required.

I'm trying to install steam on my Arch and pacman said it can't install and showed the following error

error: steam: signature from "Daniel Wallace <>" is invalid
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

I also did

pacman -Syu archlinux-keyring

as suggested in ArchLinux failed to install libproxy for invalid signature

share|improve this question
Delete the package from your cache manually and pacman -Syyu steam... – jasonwryan Mar 18 '13 at 17:54
yeah, that worked.. Thanks – pahnin Mar 18 '13 at 19:26

Your Answer


By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.